import './style.scss';

export default new Class({
	Extends: Hedera.Form,
	Template: require('./ui.xml'),
	
	activate() {
		this.$.userModel.setInfo('c', 'myClient', 'hedera');
		this.$.userModel.setInfo('u', 'myUser', 'account');

		if (this.hash.$.verificationToken)
			this.onPassChangeClick();
	}

	,onPassChangeClick() {
		this.$.oldPassword.value = '';
		this.$.newPassword.value = '';
		this.$.repeatPassword.value = '';

		var verificationToken = this.hash.$.verificationToken;
		this.$.oldPassword.style.display = verificationToken ? 'none' : 'block';
		this.$.changePassword.show();

		if (verificationToken)
			this.$.newPassword.focus();
		else
			this.$.oldPassword.focus();
	}

	,async onPassModifyClick() {
		var oldPassword = this.$.oldPassword.value;
		var newPassword = this.$.newPassword.value;
		var repeatedPassword = this.$.repeatPassword.value;

		if (newPassword == '' && repeatedPassword == '')
			throw new Error(_('Passwords empty'));
		if (newPassword !== repeatedPassword)
			throw new Error(_('Passwords doesn\'t match'));
	
		var verificationToken = this.hash.$.verificationToken;
		var params = {newPassword};

		let err;
		try {
			if (verificationToken) {
				params.verificationToken = verificationToken;
				await this.conn.send('user/restore-password', params);
			} else {
				let userId = this.gui.user.id;
				params.oldPassword = oldPassword;
				await this.conn.patch(
					`Accounts/${userId}/changePassword`, params);
			}
		} catch(e) {
			err = e;
			Htk.Toast.showError(err.message);

			if (this.hash.$.verificationToken)
				this.$.newPassword.select();
			else
				this.$.oldPassword.select();

			return;
		}

		this.$.changePassword.hide();
		this.hash.unset('verificationToken');
		Htk.Toast.showMessage(_('Password changed!'));
		this.$.userForm.refresh();
	}
	
	,onPassInfoClick() {
		this.$.passwordInfo.show();
	}
});

