export default {
    language: 'Idioma',
    langs: {
        en: 'Anglès',
        es: 'Espanyol',
        ca: 'Català',
        fr: 'Francès',
        mn: 'Rus',
        pt: 'Portuguès'
    },
    date: {
        days: [
            'Diumenge',
            'Dilluns',
            'Dimarts',
            'Dimecres',
            'Dijous',
            'Divendres',
            'Dissabte'
        ],
        daysShort: ['Dg', 'Dl', 'Dt', 'Dc', 'Dj', 'Dv', 'Ds'],
        months: [
            'Gener',
            'Febrer',
            'Març',
            'Abril',
            'Maig',
            'Juny',
            'Juliol',
            'Agost',
            'Setembre',
            'Octubre',
            'Novembre',
            'Desembre'
        ],
        monthsShort: [
            'Gen',
            'Feb',
            'Mar',
            'Abr',
            'Mai',
            'Jun',
            'Jul',
            'Ago',
            'Set',
            'Oct',
            'Nov',
            'Des'
        ]
    },
    of: 'de',

    // Sections titles
    titles: {
        Home: 'Inici',
        Orders: 'Comandes',
        Ticket: `Detall de l'encarrec`,
        'Pending orders': 'Comandes pendents',
        'Last orders': 'Comandes confirmades',
        Invoices: 'Factures',
        Basket: 'Cistella',
        Catalog: 'Catàleg',
        Administration: 'Administració',
        'Control panel': 'Panell de control',
        Users: 'Usuaris',
        Connections: 'Connexions',
        Visits: 'Visites',
        News: 'Gestió de noticies',
        Photos: 'Imatges',
        Images: 'Imatges',
        Items: 'Articles',
        Agencies: 'Paquets per agència',
        Reports: 'Informes',
        Configuration: 'Configuració',
        Shelves: 'Prestatgeries',
        Account: 'Configuració',
        Addresses: 'Adreces',
        OrderSummary: 'Resum de la comanda',
        Checkout: `Configurar l'encarrec`,
        'Address details': 'Configuració',
        'Admin news details': `Afegir o editar notícia`,
        'Access log': 'Registre d’accés'
    },
    menuTitles: {
        Home: 'Inici',
        Orders: 'Comandes',
        Basket: 'Cistella',
        Catalog: 'Catàleg',
        Administration: 'Administració',
        Agencies: 'Agències',
        Reports: 'Informes',
        Shelves: 'Prestatgeries',
        Configuration: 'Configuració',
        'Pending orders': 'Pendents',
        'Last orders': 'Confirmades',
        Invoices: 'Factures',
        'Control panel': 'Panell de control',
        Users: 'Usuaris',
        Connections: 'Connexions',
        Visits: 'Visites',
        News: 'Gestió de notícies',
        Photos: 'Imatges',
        Items: 'Articles',
        Account: 'Compte',
        Addresses: 'Adreces'
    },
    //
    orderLoadedIntoBasket: 'Comanda carregada a la cistella!',
    loadAnOrder:
        'Si us plau carrega una comanda pendent a la cistella o en comença una de nova',
    at: 'a les',
    back: 'Tornar',
    next: 'Següent',
    remove: 'Esborrar',
    agency: 'Agència',
    noData: 'Sense dades',
    confirm: 'Confirmar',
    delete: 'Esborrar',
    confirmDelete: 'Estàs segur que vols esborrar la línia?',
    emptyList: 'Llista buida',
    logInAsGuest: `Accedir com a convidat`,
    haveForgottenPassword: '¿Has oblidat la teva contrasenya?',
    signUp: 'Registrar-me',
    notACustomerYet: `Encara no ets client?`,
    loginPhone: '+34 963 242 100',
    loginMail: "{'info'}{'@'}{'verdnatura.es'}",
    remindMe: "Recorda'm",
    user: 'Usuari',
    password: 'Contrasenya',
    modify: 'Modificar',
    shoppingCart: 'Cistella de la compra',
    available: 'Disponible',
    minQuantity: 'Quantitat mínima',
    introduceSearchTerm: 'Introdueix un terme de cerca',
    noOrdersFound: `No s'han trobat comandes`,
    // Image related translations
    'Cant lock cache': 'No es pot bloquejar la memòria cau',
    'Bad file format': 'Format de fitxer no reconegut',
    'File not choosed': 'No has seleccionat cap fitxer',
    'Permission denied': 'No tens permís per pujar el fitxer',
    'File upload error':
        "No s'ha pogut pujar el fitxer, comprova que la mida no sigui massa gran",
    'File save error': "No s'ha pogut desar el fitxer: %s",
    'File size error': 'El fitxer no ha de superar %.2f MB',
    'Bad file name':
        "El nom del fitxer només ha de contenir lletres minúscules, dígits o el caràcter '_'",
    'Bad collection name': 'Nom de col·lecció no vàlid',
    'Collection not exists': 'La col·lecció no existeix',
    'Unreferenced file': 'El fitxer no està referenciat per la base de dades',
    'Cannot update matching id': "No es pot actualitzar l'id coincident",
    'Com error': 'Error de comunicació amb el servidor',
    'Image open error': "Error en obrir el fitxer d'imatge",
    'Operation disabled': 'Operació deshabilitada per seguretat',
    'Image added': 'Imatge afegida correctament',
    ErrIniSize: 'El fitxer supera la directiva upload_max_filesize a php.ini',
    ErrFormSize:
        'El fitxer supera el MAX_FILE_SIZE especificat al formulari HTML',
    ErrPartial: "El fitxer s'ha pujat parcialment",
    ErrNoFile: "No s'ha pujat cap fitxer",
    ErrNoTmpDir: 'Falta una carpeta temporal',
    ErrCantWrite: "No s'ha pogut escriure el fitxer al disc",
    ErrExtension: "La pujada del fitxer s'ha aturat per una extensió",
    ErrDefault: 'Error de pujada desconegut',
    'Sync complete': 'Sincronització completa',
    // Errors
    errors: {
        statusUnauthorized: 'Accés denegat',
        tokenConfig: 'Error al obtenir la configuració del token'
    }
};
