export default {
    failed: 'Acción fallida',
    success: 'Acción exitosa',
    internalServerError: 'Error interno del servidor',
    somethingWentWrong: 'Algo salió mal',
    loginFailed: 'Usuario o contraseña incorrectos',
    authenticationRequired: 'Autenticación requerida',
    notFound: 'No encontrado',
    today: 'Hoy',
    yesterday: 'Ayer',
    tomorrow: 'Mañana',
    language: 'Idioma',
    langs: {
        en: 'Inglés',
        es: 'Español',
        ca: 'Catalán',
        fr: 'Francés',
        mn: 'Ruso',
        pt: 'Portugés'
    },
    date: {
        days: [
            'Domingo',
            'Lunes',
            'Martes',
            'Miércoles',
            'Jueves',
            'Viernes',
            'Sábado'
        ],
        daysShort: ['Do', 'Lu', 'Mi', 'Mi', 'Ju', 'Vi', 'Sa'],
        months: [
            'Enero',
            'Febrero',
            'Marzo',
            'Abril',
            'Mayo',
            'Junio',
            'Julio',
            'Agosto',
            'Septiembre',
            'Octubre',
            'Noviembre',
            'Diciembre'
        ],
        monthsShort: [
            'Ene',
            'Feb',
            'Mar',
            'Abr',
            'May',
            'Jun',
            'Jul',
            'Ago',
            'Sep',
            'Oct',
            'Nov',
            'Dic'
        ]
    },

    // Sections titles
    titles: {
        Home: 'Inicio',
        Orders: 'Pedidos',
        Ticket: 'Pedido',
        'Pending orders': 'Pedidos pendientes',
        'Last orders': 'Pedidos confirmados',
        Invoices: 'Facturas',
        Basket: 'Cesta de la compra',
        Catalog: 'Catálogo',
        Administration: 'Administración',
        'Control panel': 'Panel de control',
        Users: 'Gestión de usuarios',
        Connections: 'Conexiones',
        Visits: 'Visitas',
        News: 'Gestión de noticias',
        Photos: 'Imágenes',
        Images: 'Imágenes',
        Items: 'Artículos',
        Agencies: 'Bultos por agencia',
        Reports: 'Informes',
        Configuration: 'Configuración',
        Shelves: 'Estanterías',
        Account: 'Configuración',
        Addresses: 'Direcciones',
        OrderSummary: 'Resumen del pedido',
        Checkout: 'Configurar pedido',
        'Address details': 'Configuración',
        'Admin news details': 'Añadir o editar noticia',
        'Access log': 'Registro de accesos'
    },
    menuTitles: {
        Home: 'Inicio',
        Orders: 'Pedidos',
        Basket: 'Cesta',
        Catalog: 'Catálogo',
        Administration: 'Administración',
        Agencies: 'Agencias',
        Reports: 'Informes',
        Shelves: 'Estanterías',
        Configuration: 'Configuración',
        'Pending orders': 'Pendientes',
        'Last orders': 'Confirmados',
        Invoices: 'Facturas',
        'Control panel': 'Panel de control',
        Users: 'Usuarios',
        Connections: 'Conexiones',
        Visits: 'Visitas',
        News: 'Noticias',
        Photos: 'Fotos',
        Items: 'Artículos',
        Account: 'Cuenta',
        Addresses: 'Direcciones'
    },

    //
    orderLoadedIntoBasket: '¡Pedido cargado en la cesta!',
    loadAnOrder:
        'Por favor carga un pedido pendiente en la cesta o empieza uno nuevo',
    at: 'a las',
    back: 'Volver',
    next: 'Siguiente',
    remove: 'Borrar',
    agency: 'Agencia',
    noData: 'Sin datos',
    confirm: 'Confirmar',
    delete: 'Borrar',
    confirmDelete: '¿Estás seguro de que quieres borrar la línea?',
    emptyList: 'Lista vacía',

    orders: 'Pedidos',
    order: 'Pedido pendiente',
    ticket: 'Pedido',
    conditions: 'Condiciones',
    about: 'Sobre nosotros',
    admin: 'Administración',
    panel: 'Panel de control',
    users: 'Usuarios',
    connections: 'Conexiones',
    visits: 'Visitas',
    news: 'Noticias',
    newEdit: 'Editar noticia',
    images: 'Imágenes',
    items: 'Artículos',
    config: 'Configuración',
    user: 'Usuario',
    password: 'Contraseña',
    remindMe: 'Recuérdame',
    logInAsGuest: 'Entrar como invitado',
    logIn: 'Iniciar sesión',
    loginMail: "{'info'}{'@'}{'verdnatura.es'}",
    loginPhone: '+34 963 242 100',
    haveForgottenPassword: '¿Has olvidado tu contraseña?',
    notACustomerYet: '¿Todavía no eres cliente?',
    signUp: 'Registrarme',
    addresses: 'Direcciones',
    addressEdit: 'Editar dirección',
    dataSaved: 'Datos guardados',
    save: 'Guardar',
    cancel: 'Cancelar',
    of: 'de',
    modify: 'Modificar',
    shoppingCart: 'Cesta de la compra',
    available: 'Disponible',
    minQuantity: 'Cantidad mínima',
    introduceSearchTerm: 'Introduce un término de búsqueda',
    noOrdersFound: 'No se encontrado pedidos',
    // Image related translations
    'Cant lock cache': 'La caché no pudo ser bloqueada',
    'Bad file format': 'Formato de archivo no reconocido',
    'File not choosed': 'No has seleccionado ningún archivo',
    'Permission denied': 'No tienes permiso para subir el fichero',
    'File upload error':
        'Error al subir el fichero, comprueba que su tamaño no sea demasiado grande',
    'File save error': 'Error al guardar el fichero: %s',
    'File size error': 'El fichero no debe ocupar más de %.2f MB',
    'Bad file name':
        "El nombre del archivo solo debe contener letras minúsculas, dígitos o el carácter '_'",
    'Bad collection name': 'Nombre de colección no válido',
    'Collection not exists': 'La colección no existe',
    'Unreferenced file': 'El archivo no está referenciado por la base de datos',
    'Cannot update matching id':
        'No es posible actualizar los ítems con id coincidente',
    'Com error': 'Error en la comunicación con el servidor',
    'Image open error': 'Error al abrir el archivo de imagen',
    'Operation disabled': 'Operación deshabilitada por seguridad',
    'Image added': 'Imagen añadida correctamente',
    ErrIniSize: 'File exceeds the upload_max_filesize directive in php.ini',
    ErrFormSize: 'File exceeds the MAX_FILE_SIZE specified in the HTML form',
    ErrPartial: 'File was partially uploaded',
    ErrNoFile: 'No file was uploaded',
    ErrNoTmpDir: 'Missing a temporary folder',
    ErrCantWrite: 'Failed to write file to disk',
    ErrExtension: 'File upload stopped by extension',
    ErrDefault: 'Unknown upload error',
    'Sync complete': 'Sincronización completada',
    // Errors
    errors: {
        statusUnauthorized: 'Acceso denegado',
        tokenConfig: 'Error al obtener configuración de token'
    }
};
