export default {
    language: 'Langue',
    langs: {
        en: 'Anglais',
        es: 'Espagnol',
        ca: 'Catalan',
        fr: 'Français',
        mn: 'Russe',
        pt: 'Portugais'
    },
    date: {
        days: [
            'Dimanche',
            'Lundi',
            'Mardi',
            'Mercredi',
            'Jeudi',
            'Vendredi',
            'Samedi'
        ],
        daysShort: ['Dim', 'Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam'],
        months: [
            'Janvier',
            'Février',
            'Mars',
            'Avril',
            'Mai',
            'Juin',
            'Juillet',
            'Août',
            'Septembre',
            'Octobre',
            'Novembre',
            'Décembre'
        ],
        monthsShort: [
            'Jan',
            'Fév',
            'Mar',
            'Avr',
            'Mai',
            'Juin',
            'Juil',
            'Aoû',
            'Sep',
            'Oct',
            'Nov',
            'Déc'
        ]
    },
    of: 'de',

    // Sections titles
    titles: {
        Home: 'Accueil',
        Orders: 'Commandes',
        Ticket: 'Détail de la commande',
        'Pending orders': 'Commandes en attente',
        'Last orders': 'Commandes confirmées',
        Invoices: 'Factures',
        Basket: 'Panier',
        Catalog: 'Catalogue',
        Administration: 'Administration',
        'Control panel': 'Panneau de configuration',
        Users: 'Utilisateurs',
        Connections: 'Connexions',
        Visits: 'Visites',
        News: 'Gestion des nouvelles',
        Photos: 'Images',
        Images: 'Images',
        Items: 'Articles',
        Agencies: 'Liste par agence',
        Reports: 'Rapports',
        Configuration: 'Configuration',
        Shelves: 'Étagères',
        Account: 'Configuration',
        Addresses: 'Adresses',
        OrderSummary: 'Résumé de la commande',
        Checkout: 'Configurer la commande',
        'Address details': 'Configuration',
        'Admin news details': 'Ajouter ou éditer une nouvelle',
        'Access log': "Journal d'accès"
    },
    menuTitles: {
        Home: 'Accueil',
        Orders: 'Commandes',
        Basket: 'Panier',
        Catalog: 'Catalogue',
        Administration: 'Administration',
        Agencies: 'Agences',
        Reports: 'Rapports',
        Shelves: 'Étagères',
        Configuration: 'Configuration',
        'Pending orders': 'En attente',
        'Last orders': 'Confirmées',
        Invoices: 'Factures',
        'Control panel': 'Panneau de configuration',
        Users: 'Utilisateurs',
        Connections: 'Connexions',
        Visits: 'Visites',
        News: 'Nouvelles',
        Photos: 'Images',
        Items: 'Articles',
        Account: 'Compte',
        Addresses: 'Adresses'
    },

    //
    orderLoadedIntoBasket: 'Commande chargée dans le panier!',
    loadAnOrder:
        'Veuillez télécharger une commande en attente dans le panier ou en démarrer une nouvelle',
    at: 'à',
    back: 'Retour',
    next: 'Suivant',
    remove: 'Effacer',
    agency: 'Agence',
    noData: 'Aucune donnée',
    confirm: 'Confirmer',
    delete: 'Effacer',
    emptyList: 'Vider la liste',
    confirmDelete: 'Voulez-vous vraiment supprimer la ligne?',
    logInAsGuest: `Entrez en tant qu'invité`,
    haveForgottenPassword: 'Avez-vous oublié votre mot de passe?',
    signUp: `S'inscrire`,
    notACustomerYet: `Pas encore client?`,
    loginPhone: '+34 963 242 100',
    loginMail: "{'info'}{'@'}{'verdnatura.es'}",
    remindMe: `Rappelle-moi`,
    user: 'Utilisateur',
    password: 'Mot de passe',
    modify: 'Modifier',
    shoppingCart: 'Panier',
    available: 'Disponible',
    minQuantity: 'Quantité minimum',
    introduceSearchTerm: 'Entrez un terme de recherche',
    noOrdersFound: 'Aucune commande trouvée',
    // Image related translations
    'Cant lock cache': "Le cache n'a pas pu être verrouillé",
    'Bad file format': 'Format de fichier non reconnu',
    'File not choosed': "Vous n'avez sélectionné aucun fichier",
    'Permission denied': "Vous n'êtes pas autorisé à télécharger le fichier",
    'File upload error':
        "Échec du téléchargement du fichier, vérifiez que la taille n'est pas trop grande",
    'File save error': "Échec de l'enregistrement du fichier : %s",
    'File size error': 'Le fichier ne doit pas dépasser %.2f MB',
    'Bad file name':
        "Le nom du fichier ne doit contenir que des lettres minuscules, des chiffres ou le caractère '_'",
    'Bad collection name': 'Nom de collection invalide',
    'Collection not exists': "La collection n'existe pas",
    'Unreferenced file':
        "Le fichier n'est pas référencé par la base de données",
    'Cannot update matching id':
        "Impossible de mettre à jour l'ID correspondant",
    'Com error': 'Erreur de communication avec le serveur',
    'Image open error': "Erreur lors de l'ouverture du fichier image",
    'Operation disabled': 'Opération désactivée pour des raisons de sécurité',
    'Image added': 'Image ajoutée correctement',
    ErrIniSize:
        'Le fichier dépasse la directive upload_max_filesize dans php.ini',
    ErrFormSize:
        'Le fichier dépasse la taille maximale spécifiée dans le formulaire HTML',
    ErrPartial: 'Le fichier a été partiellement téléchargé',
    ErrNoFile: "Aucun fichier n'a été téléchargé",
    ErrNoTmpDir: 'Il manque un dossier temporaire',
    ErrCantWrite: "Échec de l'écriture du fichier sur le disque",
    ErrExtension: 'Téléchargement du fichier arrêté par extension',
    ErrDefault: 'Erreur de téléchargement inconnue',
    'Sync complete': 'Synchronisation terminée',
    // Errors
    errors: {
        statusUnauthorized: 'Accès refusé',
        tokenConfig:
            'Erreur lors de la récupération de la configuration du jeton'
    }
};
