export default {
    language: 'Língua',
    langs: {
        en: 'Inglês',
        es: 'Espanhol',
        ca: 'Catalão',
        fr: 'Francês',
        mn: 'Russo',
        pt: 'Português'
    },
    date: {
        days: [
            'Domingo',
            'Segunda-feira',
            'Terça-feira',
            'Quarta-feira',
            'Quinta-feira',
            'Sexta-feira',
            'Sábado'
        ],
        daysShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb'],
        months: [
            'Janeiro',
            'Fevereiro',
            'Março',
            'Abril',
            'Maio',
            'Junho',
            'Julho',
            'Agosto',
            'Setembro',
            'Outubro',
            'Novembro',
            'Dezembro'
        ],
        monthsShort: [
            'Jan',
            'Fev',
            'Mar',
            'Abr',
            'Mai',
            'Jun',
            'Jul',
            'Ago',
            'Set',
            'Out',
            'Nov',
            'Dez'
        ]
    },
    of: 'de',
    // Sections titles
    titles: {
        Home: 'Início',
        Orders: 'Pedidos',
        Ticket: 'Detalhe do pedido',
        'Pending orders': 'Pedidos pendentes',
        'Last orders': 'Pedidos confirmados',
        Invoices: 'Faturas',
        Basket: 'Carrinho',
        Catalog: 'Catálogo',
        Administration: 'Administração',
        'Control panel': 'Painel de controle',
        Users: 'Usuários',
        Connections: 'Conexões',
        Visits: 'Visitas',
        News: 'Gestão de noticias',
        Photos: 'Imagens',
        Images: 'Imagens',
        Items: 'Artigos',
        Agencies: 'Bultos por agencia',
        Reports: 'Informes',
        Configuration: 'Configuração',
        Shelves: 'Estantes',
        Account: 'Configuração',
        Addresses: 'Moradas',
        OrderSummary: 'Resumo da encomenda',
        Checkout: 'Configurar encomenda',
        'Address details': 'Configuração',
        'Admin news details': 'Adicionar ou editar notícia',
        'Access log': 'Registo de acessos'
    },
    menuTitles: {
        Home: 'Início',
        Orders: 'Pedidos',
        Basket: 'Carrinho',
        Catalog: 'Catálogo',
        Administration: 'Administração',
        Agencies: 'Agências',
        Reports: 'Informes',
        Shelves: 'Estantes',
        Configuration: 'Configuração',
        'Pending orders': 'Pendentes',
        'Last orders': 'Confirmados',
        Invoices: 'Faturas',
        'Control panel': 'Painel de controle',
        Users: 'Usuários',
        Connections: 'Conexões',
        Visits: 'Visitas',
        News: 'Notícias',
        Photos: 'Imagens',
        Items: 'Artigos',
        Account: 'Conta',
        Addresses: 'Moradas'
    },
    //
    orderLoadedIntoBasket: 'Pedido carregado na cesta!',
    loadAnOrder: 'Carregue um pedido pendente no carrinho ou inicie um novo',
    at: 'às',
    back: 'Voltar',
    next: 'Seguinte',
    remove: 'Eliminar',
    agency: 'Agência',
    noData: 'Sem dados',
    confirm: 'Confirme',
    delete: 'Eliminar',
    confirmDelete: 'Tens certeza que queres eliminar esta linha?',
    emptyList: 'Lista vazia',
    logInAsGuest: 'Entrar como convidado',
    haveForgottenPassword: 'Esqueceu a senha?',
    signUp: 'Registar',
    notACustomerYet: 'Ainda não é cliente?',
    loginPhone: '+34 963 242 100',
    loginMail: "{'info'}{'@'}{'verdnatura.es'}",
    remindMe: 'Lembrar-me',
    user: 'Utilizador',
    password: 'Senha',
    modify: 'Modificar',
    shoppingCart: 'Cesta da compra',
    available: 'Disponível',
    minQuantity: 'Quantidade mínima',
    introduceSearchTerm: 'Digite um termo de pesquisa',
    noOrdersFound: 'Nenhum pedido encontrado',
    // Image related translations
    'Cant lock cache': 'O cache não pôde ser bloqueado',
    'Bad file format': 'Formato de arquivo inválido',
    'File not choosed': 'Não selecionastes nenhum arquivo',
    'Permission denied': 'Não estas autorizado a subir o arquivo',
    'File upload error': 'Erro ao subir o arquivo, verifique o tamanho',
    'File save error': 'Erro ao salvar o arquivo: %s',
    'File size error': 'O arquivo não deve ser maior que %.2f MB',
    'Bad file name':
        "O nome do arquivo deve conter somente letras minusculas, numeros  ou '_'",
    'Bad collection name': 'Nome de coleção inválido',
    'Collection not exists': 'Coleção não existe',
    'Unreferenced file': 'O arquivo não é referenciado pelo banco de dados',
    'Cannot update matching id':
        'Não é possível atualizar os itens com id coincidente',
    'Com error': 'Erro de comunicação com o servidor',
    'Image open error': 'Erro ao abrir a imagem',
    'Operation disabled': 'Operação desativada por segurança',
    'Image added': 'Imagem adicionada corretamente',
    ErrIniSize: 'Arquivo supera o tamanho maximo de protocolo em php.ini',
    ErrFormSize: 'Arquivo supera o tamanho maximo de protocolo em HTML form',
    ErrPartial: 'Arquivo subido parcialmente',
    ErrNoFile: 'Nenhum arquivo subido',
    ErrNoTmpDir: 'Falta a pasta de arquivo temporal',
    ErrCantWrite: 'Erro ao gravar arquivo no disco',
    ErrExtension: 'Erro de extensão do arquivo',
    ErrDefault: 'Erro desconhecido ao subir arquivo',
    'Sync complete': 'Sincronização completa',
    // Errors
    errors: {
        statusUnauthorized: 'Acesso negado',
        tokenConfig: 'Erro ao obter configuração do token'
    }
};
